import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SPService } from '../common/sp.service';
export declare class AlertService {
    private http;
    private spService;
    private options;
    constructor(http: HttpClient, spService: SPService);
    hasWebIdColumn(siteCollUrl: string, alertList: string): Observable<boolean>;
    getAlerts(siteCollUrl: string, alertList: string): Observable<any[]>;
    getWebScopedAlerts(siteCollUrl: string, alertList: string, webId: string): Observable<any[]>;
    deleteAlert(id: any, siteCollUrl: any, alertList: any): Observable<boolean>;
}
